@import url(https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap);
:root {
  --primary: #CB784C;
  --secondary: #DFB300;
  --white: #fff;
  --black: #000;
  --off-white: #F5F5F5;
  --grey: #D9D9D9;
}

.gradient-text {
  background: rgb(223, 179, 0);
  background: linear-gradient(90deg, rgb(223, 179, 0) 0%, rgb(255, 153, 0) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
}

.bg-gradient {
  background: rgb(223, 179, 0);
  background: linear-gradient(90deg, rgb(223, 179, 0) 0%, rgb(255, 153, 0) 100%);
}

a {
  text-decoration: none;
  color: var(--black);
}

html {
  position: relative;
  min-height: 100%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  background-color: #ffffff;
  font-family: "Inter", sans-serif;
  color: var(--black);
  font-weight: 400;
  font-size: 1.25vw;
  line-height: 150%;
}
@media screen and (max-width: 750px) {
  body {
    line-height: 30px;
  }
}
@media screen and (min-width: 1280px) {
  body {
    font-size: 16px;
  }
}
@media screen and (max-width: 991px) {
  body {
    font-size: 16px;
  }
}

*, *:before, *:after {
  box-sizing: inherit;
}

.text-primary {
  color: var(--primary);
}

.text-secondary {
  color: var(--secondary);
}

.text-black {
  color: var(--black);
}

.text-white {
  color: var(--white);
}

.bg-primary {
  background-color: var(--primary);
}

.bg-secondary {
  background-color: var(--secondary);
}

.bg-white {
  background-color: var(--white);
}

.bg-off-white {
  background-color: var(--off-white);
}

.section-padding-top {
  padding-top: 4rem;
}
@media screen and (max-width: 660px) {
  .section-padding-top {
    padding-top: 2rem;
  }
}

.section-padding-bottom {
  padding-bottom: 4rem;
}
@media screen and (max-width: 660px) {
  .section-padding-bottom {
    padding-bottom: 2rem;
  }
}

.container {
  width: 100%;
  max-width: 1280px;
  margin: auto;
  padding-left: 2rem;
  padding-right: 2rem;
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.align-center {
  margin: auto;
}

h1, .h1 {
  line-height: 140%;
  margin: 0;
  font-size: 3em;
  font-weight: 600;
}
@media screen and (min-width: 1280px) {
  h1, .h1 {
    font-size: 48px;
  }
}
@media screen and (max-width: 660px) {
  h1, .h1 {
    font-size: 32px;
  }
}

h2, .h2 {
  line-height: 140%;
  margin: 0;
  font-size: 2em;
  font-weight: 600;
}
@media screen and (min-width: 1280px) {
  h2, .h2 {
    font-size: 32px;
  }
}
@media screen and (max-width: 660px) {
  h2, .h2 {
    font-size: 26px;
  }
}

h3, .h3 {
  line-height: 140%;
  margin: 0;
  font-size: 1.5em;
  font-weight: 500;
}
@media screen and (min-width: 1280px) {
  h3, .h3 {
    font-size: 24px;
  }
}
@media screen and (max-width: 660px) {
  h3, .h3 {
    font-size: 18px;
  }
}

h4, .h4 {
  line-height: 120%;
  margin: 0;
  font-size: 1.25em;
  font-weight: 500;
}
@media screen and (min-width: 1280px) {
  h4, .h4 {
    font-size: 20px;
  }
}
@media screen and (max-width: 660px) {
  h4, .h4 {
    font-size: 16px;
  }
}

p {
  margin: 0;
}

p + p {
  margin-top: 1.5rem;
}

.header-section {
  background-color: var(--white);
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 20;
}

.header-container {
  display: flex;
  justify-content: space-between;
}

.menu-wrapper {
  display: flex;
  gap: 2rem;
  align-items: center;
}

.menu-item {
  color: var(--primary);
  font-size: 1em;
}

.menu-item-btn {
  color: var(--primary);
  background-color: rgba(203, 120, 76, 0.18);
  border-radius: 10px;
  padding: 12px 16px;
}

.logo-wrapper {
  width: auto;
  height: 40px;
}

.logo-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.btn-primary {
  border: 0;
  padding: 12px 16px;
  border-radius: 10px;
  font-size: 1em;
  color: var(--white);
  background: rgb(223, 179, 0);
  background: linear-gradient(90deg, rgb(223, 179, 0) 0%, rgb(255, 153, 0) 100%);
  cursor: pointer;
  transition: background 0.3s ease;
}

.banner-divider {
  padding: 1.5rem;
  display: flex;
  justify-content: center;
  gap: 5rem;
}
@media screen and (max-width: 660px) {
  .banner-divider {
    flex-direction: column;
    gap: 2rem;
    align-items: center;
  }
}

.banner-divider__item {
  display: flex;
  gap: 10px;
}

.banner-divider__item-img-wrapper {
  height: 48px;
}

.banner-divider__item-img-wrapper img {
  height: 100%;
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.margin-top {
  margin-top: 1.5rem;
}

.common-container {
  display: grid;
  grid-template-columns: 380px auto;
  gap: 2rem;
}
@media screen and (max-width: 1024px) {
  .common-container {
    grid-template-columns: 1fr;
  }
}

@media screen and (max-width: 830px) {
  .desktop-menu {
    display: none;
  }
}

.common-container__text-block h2 {
  margin-bottom: 1.5rem;
}
.common-container__text-block .btn-primary {
  display: inline-block;
  margin-top: 2rem;
}

.common-container__item-block {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.5rem;
  overflow: auto;
}
@media screen and (max-width: 660px) {
  .common-container__item-block {
    grid-template-columns: 1fr;
  }
}

.common-container__two-col-block {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.5rem;
}
@media screen and (max-width: 660px) {
  .common-container__two-col-block {
    grid-template-columns: 1fr;
  }
}

.two-col-card {
  background-color: var(--off-white);
  border-radius: 15px;
  padding: 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  transition: all 0.3s ease;
}
.two-col-card:hover {
  transform: scale(1.01);
}

.common-container__team-card-block {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.5rem;
}
@media screen and (max-width: 660px) {
  .common-container__team-card-block {
    grid-template-columns: 1fr;
  }
}

.team-card {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  background-color: var(--off-white);
  border-radius: 15px;
  padding: 24px;
  transition: all 0.3s ease;
}
.team-card:hover {
  transform: scale(1.01);
}

.team-card__member-wrapper {
  display: flex;
  justify-content: flex-start;
  gap: 1rem;
}

.team-card__member-img-wrapper {
  width: 72px;
  height: 72px;
  border-radius: 100%;
  overflow: hidden;
}
.team-card__member-img-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.common-container__value-card-block {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  -moz-column-gap: 1.5rem;
       column-gap: 1.5rem;
  row-gap: 2rem;
}
@media screen and (max-width: 660px) {
  .common-container__value-card-block {
    grid-template-columns: 1fr;
  }
}

.value-card {
  display: flex;
  background-color: var(--off-white);
  border-radius: 15px;
  padding: 24px;
  align-items: center;
  gap: 1.5rem;
  transition: all 0.3s ease;
}
.value-card:hover {
  transform: scale(1.01);
}
.value-card img {
  width: 40px;
  height: 40px;
}

.course-card {
  display: flex;
  flex-direction: column;
  border-radius: 15px;
  overflow: hidden;
  background-color: var(--off-white);
  padding-bottom: 3rem;
  position: relative;
  transition: ease 0.3s all;
}
.course-card:hover .course-card__img-wrapper img {
  transform: scale(1.05);
}
.course-card .price-tag {
  text-align: right;
  position: absolute;
  bottom: 1.5rem;
  right: 1.5rem;
}
.course-card .purchase-tag {
  position: absolute;
  bottom: 1.5rem;
  right: 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  width: 80%;
}
.course-card .purchase-btn {
  background-color: var(--black);
  color: var(--white);
  border-radius: 5px;
  padding: 3px 10px;
  font-size: 0.8em;
}

.course-card__img-wrapper {
  width: 100%;
  height: 158px;
  overflow: hidden;
}

.course-card__img-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transition: ease 0.3s all;
}

.course-card__content-wrapper {
  background-color: var(--off-white);
  padding: 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.register-cta-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}
@media screen and (max-width: 885px) {
  .register-cta-container {
    grid-template-columns: 1fr;
  }
}

.register-cta-item {
  background-color: rgba(223, 179, 0, 0.1);
  border-radius: 15px;
  padding: 40px;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  transition: all 0.3s ease;
}
.register-cta-item:hover {
  transform: scale(1.01);
}
@media screen and (max-width: 960px) {
  .register-cta-item {
    padding: 24px;
  }
}
@media screen and (max-width: 440px) {
  .register-cta-item {
    flex-direction: column;
    justify-content: flex-start;
    gap: 1.5rem;
    align-items: flex-start;
  }
}

.our-mentors-cards-wrapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.5rem;
  margin-top: 3rem;
}
@media screen and (max-width: 840px) {
  .our-mentors-cards-wrapper {
    grid-template-columns: 1fr 1fr;
  }
}
@media screen and (max-width: 660px) {
  .our-mentors-cards-wrapper {
    grid-template-columns: 1fr;
  }
}

.our-mentors-card {
  display: flex;
  flex-direction: column;
  transition: all 0.3s ease;
}
.our-mentors-card:hover {
  transform: scale(1.01);
}

.our-mentor-card__img-wrapper {
  width: 100%;
  height: 178px;
  border-radius: 15px;
  overflow: hidden;
}

.our-mentor-card__img-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.our-mentor-card__text-wrapper {
  background-color: var(--white);
  padding: 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.divider-section {
  width: 100%;
  height: 275px;
}
.divider-section img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.footer-container {
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
}

.footer-block {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}
@media screen and (max-width: 660px) {
  .footer-block {
    flex-direction: column;
    align-items: flex-start;
    gap: 1.5rem;
  }
}

.footer-logo-wrapper {
  height: 40px;
}
.footer-logo-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.footer-menu-wrapper {
  display: flex;
  gap: 2rem;
}
.footer-menu-wrapper a {
  color: var(--white);
}
@media screen and (max-width: 660px) {
  .footer-menu-wrapper {
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
  }
}

.footer-address-wrapper {
  display: flex;
  flex-direction: column;
}
.footer-address-wrapper p {
  color: var(--white);
}

.footer-social-wrapper {
  display: flex;
  gap: 1.5rem;
}

.footer-social-wrapper img {
  height: 18px;
  width: 18px;
}

.page-banner-section {
  height: 232px;
  width: 100%;
}
.page-banner-section img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

input, textarea, select {
  width: 100%;
  padding: 12px 16px;
  background-color: var(--off-white);
  border-radius: 10px;
  font-size: 1em;
  border: 0px;
}

input:focus-visible,
textarea:focus-visible,
select:focus-visible {
  outline: 0;
}

.grid-two-col {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1.5rem;
}
@media screen and (max-width: 660px) {
  .grid-two-col {
    grid-template-columns: 1fr;
  }
}

.auth-form-container input {
  margin-top: 10px;
}
.auth-form-container .justify-end {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.admin-banner-section {
  background-color: var(--primary);
}

.admin-menu-wrapper a {
  color: var(--white) !important;
}

.admin-footer {
  background-color: #4D4D4D;
}

.admin-main-wrapper {
  min-height: 54vh;
}

.table-container {
  margin: auto;
  max-width: 95%;
  overflow-x: auto;
}
.table-container .four-blocks-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  margin-top: 2rem;
  gap: 1.5rem;
}
.table-container table {
  width: 100%;
  border-collapse: collapse;
  margin: 1rem 0;
  font-size: 1rem;
  text-align: left;
}
.table-container table th, .table-container table td {
  padding: 0.75rem 1rem;
  border: 1px solid #ddd;
}
.table-container table th {
  background-color: rgba(223, 179, 0, 0.1);
  color: var(--secondary);
  font-weight: 600;
}
.table-container table tr:nth-child(even) {
  background-color: #f9f9f9;
}
.table-container table tr:hover {
  background-color: #f1f1f1;
}
@media (max-width: 768px) {
  .table-container table {
    font-size: 0.9rem;
  }
  .table-container table th, .table-container table td {
    padding: 0.5rem;
  }
}

.form-group {
  width: 95%;
  margin: auto;
  margin-top: 1.5rem;
}
.form-group input, .form-group textarea, .form-group select {
  margin-top: 1rem;
}
.form-group .two-col {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}
@media screen and (max-width: 660px) {
  .form-group .two-col {
    grid-template-columns: 1fr;
    gap: 1rem;
  }
}

.form-btn-wrapper {
  display: flex;
  justify-content: flex-end;
  gap: 2rem;
  align-items: center;
}

.image-preview {
  height: 100px;
}

.admin-title-container {
  display: flex;
  justify-content: space-between;
  gap: 32rem;
  margin-top: 1rem;
}
.admin-title-container select {
  width: 250px;
}

.cta-btn {
  padding: 8px 10px;
  border-radius: 5px;
  background-color: rgba(80, 214, 2, 0.18);
  margin-bottom: 16px;
}

.btn-warning {
  border: 0;
  padding: 4px 6px;
  border-radius: 5px;
  font-size: 0.8em;
  background-color: rgba(80, 214, 2, 0.18);
}

.btn-danger {
  border: 0;
  padding: 4px 6px;
  border-radius: 5px;
  font-size: 0.8em;
  color: #640000;
  background-color: rgba(214, 2, 2, 0.18);
  cursor: pointer;
}

.activator-div {
  background-color: rgba(214, 2, 2, 0.18);
  padding: 4rem;
}
.activator-div h3 {
  color: #640000;
}

.lesson-cards-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  width: 100%;
  margin-top: 2rem;
}

.lesson-card {
  width: 100%;
  padding: 1.5rem;
  display: flex;
  gap: 1.5rem;
  background-color: rgba(223, 179, 0, 0.1);
}
.lesson-card video {
  height: 150px;
  width: 250px;
  -o-object-fit: cover;
     object-fit: cover;
}

.wallet-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 4rem;
}

.wallet-block {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  padding: 2rem;
  border: 2px solid rgba(203, 120, 76, 0.18);
}
.wallet-block h2 {
  font-size: 4em;
  text-align: right;
  font-weight: 400;
}
.wallet-block a {
  font-size: 2em;
  text-align: center;
  margin-top: 2rem;
}

.cart-container {
  display: grid;
  grid-template-columns: 550px auto;
  gap: 2rem;
  margin-top: 2rem;
}
@media screen and (max-width: 750px) {
  .cart-container {
    grid-template-columns: 1fr;
  }
}
.cart-container .purchase-tag {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-top: 2rem;
}
.cart-container .purchase-tag h3 {
  font-size: 3em;
}

.cart-item__img-wrapper {
  width: 100%;
}
.cart-item__img-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.cart-item__img-wrapper video {
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.cart-item__basic-details {
  margin-top: 2rem;
}

.course-level-tag {
  border-radius: 5px;
  color: var(--secondary);
}

.alert-error {
  color: #cc0000;
}

.home-hero-banner-section {
  width: 100%;
  position: relative;
  background-color: var(--black);
}

.home-hero-banner-container {
  width: 100%;
}

.home-banner__img-wrapper {
  width: 100%;
  height: 65vh;
  position: relative;
}
.home-banner__img-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  opacity: 0.5;
}

.image-overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2;
}

.banner-text-container {
  position: absolute;
  bottom: 2rem;
  left: 0;
  right: 0;
  z-index: 5;
  margin: auto;
}

.dots-container {
  display: flex;
  justify-content: flex-end;
  margin-top: -64px;
  padding-bottom: 52px;
  position: relative;
  z-index: 5;
}
@media screen and (max-width: 660px) {
  .dots-container {
    display: none;
  }
}

.hero-slider-dots {
  display: flex;
  gap: 16px;
}
.hero-slider-dots .owl-dot {
  width: 12px;
  height: 14px;
  border-radius: 100%;
  border: 1px solid var(--white);
  background-color: transparent;
  cursor: pointer;
}
.hero-slider-dots .active {
  background-color: var(--white);
}

.testimonial-card {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  padding: 1.5rem;
  background-color: var(--off-white);
  border-radius: 15px;
  align-items: center;
}

.testimonial-card__icon {
  width: 30px !important;
}

.student-details__wrapper {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: space-between;
}

.testimonial-card__img {
  width: 72px !important;
  height: 72px;
  border-radius: 100%;
}

.testimonial-card h4 {
  font-size: 1.2em;
}

.testimonial-slider-dots {
  display: flex;
  gap: 16px;
  margin-top: 32px;
  justify-content: center;
}
.testimonial-slider-dots .owl-dot {
  width: 12px;
  height: 12px;
  border-radius: 100%;
  background-color: testimonial-slider-dots;
  border: none;
  cursor: pointer;
}
.testimonial-slider-dots .active {
  background-color: var(--secondary);
}

.view-lesson-btn {
  background-color: rgba(26, 158, 0, 0.18);
  border: 0;
  padding: 12px 16px;
  border-radius: 10px;
  cursor: pointer;
  margin-top: 1.5rem;
}

.student-dashboard {
  display: grid;
  grid-template-columns: 350px auto;
  gap: 2rem;
}

.student-info-block {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1.5rem;
  gap: 2rem;
  border-radius: 15px;
  background-color: var(--off-white);
}

.student-info__img-wrapper {
  width: 200px;
  height: 200px;
  border-radius: 100%;
  overflow: hidden;
}
.student-info__img-wrapper img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.student-info__info-wrapper {
  display: flex;
  width: 100%;
  flex-direction: column;
}
.student-info__info-wrapper p + p {
  margin-top: 0.5rem;
}

.student-course-info-block {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.student-info__item {
  display: flex;
  justify-content: space-between;
  padding: 2rem;
  border-radius: 15px;
  background-color: var(--off-white);
}

.popup {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.popup-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  min-width: 30%;
  max-width: 800px;
  position: relative;
}

.close-btn {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close-btn:hover,
.close-btn:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.mentor-info-popup {
  display: grid;
  gap: 2rem;
  grid-template-columns: 200px auto;
}

.home-jpg {
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.mission-text {
  font-family: "Roboto Slab", serif;
  font-optical-sizing: auto;
  text-align: justify;
}
